> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plutus.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Job Data



## OpenAPI

````yaml GET /retrieve/job/{job_id}
openapi: 3.1.0
info:
  title: 'Asclepius: API'
  description: Internal REST API for the Asclepius Molecular Dynamics Engine
  termsOfService: http://example.com/terms/
  contact:
    name: Support Team
    url: https://www.vorticity.xyz/
    email: hello@vorticity.xyz
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: 0.1.0
servers:
  - url: https://98i2es6mi4.execute-api.us-west-2.amazonaws.com/prod
    description: Prod
security:
  - ApiKeyAuth: []
paths:
  /retrieve/job/{job_id}:
    get:
      summary: Retrieve Job
      operationId: retrieve_job_retrieve_job__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````